Update shipping method
curl --request PATCH \
--url https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": "Express Delivery",
"description": "Express Delivery 2 - 5 days",
"taxCode": "tax_1",
"minimumDays": 2,
"maximumDays": 5,
"cutOffTime": 1330,
"cost": 20,
"channel": "12",
"createdBy": "User1",
"addressType": "APO",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"region": "CA",
"deleted": false,
"updatedBy": "User2",
"configuredBy": "User3",
"weight": {
"min": 2,
"max": 3
},
"cartValue": {
"min": 2,
"max": 3
},
"dimension": {
"min": {
"height": 2,
"width": 3,
"length": 4
},
"max": {
"height": 2,
"width": 3,
"length": 4
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}"
payload = {
"name": "Express Delivery",
"description": "Express Delivery 2 - 5 days",
"taxCode": "tax_1",
"minimumDays": 2,
"maximumDays": 5,
"cutOffTime": 1330,
"cost": 20,
"channel": "12",
"createdBy": "User1",
"addressType": "APO",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"region": "CA",
"deleted": False,
"updatedBy": "User2",
"configuredBy": "User3",
"weight": {
"min": 2,
"max": 3
},
"cartValue": {
"min": 2,
"max": 3
},
"dimension": {
"min": {
"height": 2,
"width": 3,
"length": 4
},
"max": {
"height": 2,
"width": 3,
"length": 4
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Express Delivery',
description: 'Express Delivery 2 - 5 days',
taxCode: 'tax_1',
minimumDays: 2,
maximumDays: 5,
cutOffTime: 1330,
cost: 20,
channel: '12',
createdBy: 'User1',
addressType: 'APO',
shippingMethodId: '5349b4ddd2781d08c09890f4',
region: 'CA',
deleted: false,
updatedBy: 'User2',
configuredBy: 'User3',
weight: {min: 2, max: 3},
cartValue: {min: 2, max: 3},
dimension: {min: {height: 2, width: 3, length: 4}, max: {height: 2, width: 3, length: 4}},
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Express Delivery',
'description' => 'Express Delivery 2 - 5 days',
'taxCode' => 'tax_1',
'minimumDays' => 2,
'maximumDays' => 5,
'cutOffTime' => 1330,
'cost' => 20,
'channel' => '12',
'createdBy' => 'User1',
'addressType' => 'APO',
'shippingMethodId' => '5349b4ddd2781d08c09890f4',
'region' => 'CA',
'deleted' => false,
'updatedBy' => 'User2',
'configuredBy' => 'User3',
'weight' => [
'min' => 2,
'max' => 3
],
'cartValue' => [
'min' => 2,
'max' => 3
],
'dimension' => [
'min' => [
'height' => 2,
'width' => 3,
'length' => 4
],
'max' => [
'height' => 2,
'width' => 3,
'length' => 4
]
],
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}"
payload := strings.NewReader("{\n \"name\": \"Express Delivery\",\n \"description\": \"Express Delivery 2 - 5 days\",\n \"taxCode\": \"tax_1\",\n \"minimumDays\": 2,\n \"maximumDays\": 5,\n \"cutOffTime\": 1330,\n \"cost\": 20,\n \"channel\": \"12\",\n \"createdBy\": \"User1\",\n \"addressType\": \"APO\",\n \"shippingMethodId\": \"5349b4ddd2781d08c09890f4\",\n \"region\": \"CA\",\n \"deleted\": false,\n \"updatedBy\": \"User2\",\n \"configuredBy\": \"User3\",\n \"weight\": {\n \"min\": 2,\n \"max\": 3\n },\n \"cartValue\": {\n \"min\": 2,\n \"max\": 3\n },\n \"dimension\": {\n \"min\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n },\n \"max\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Express Delivery\",\n \"description\": \"Express Delivery 2 - 5 days\",\n \"taxCode\": \"tax_1\",\n \"minimumDays\": 2,\n \"maximumDays\": 5,\n \"cutOffTime\": 1330,\n \"cost\": 20,\n \"channel\": \"12\",\n \"createdBy\": \"User1\",\n \"addressType\": \"APO\",\n \"shippingMethodId\": \"5349b4ddd2781d08c09890f4\",\n \"region\": \"CA\",\n \"deleted\": false,\n \"updatedBy\": \"User2\",\n \"configuredBy\": \"User3\",\n \"weight\": {\n \"min\": 2,\n \"max\": 3\n },\n \"cartValue\": {\n \"min\": 2,\n \"max\": 3\n },\n \"dimension\": {\n \"min\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n },\n \"max\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Express Delivery\",\n \"description\": \"Express Delivery 2 - 5 days\",\n \"taxCode\": \"tax_1\",\n \"minimumDays\": 2,\n \"maximumDays\": 5,\n \"cutOffTime\": 1330,\n \"cost\": 20,\n \"channel\": \"12\",\n \"createdBy\": \"User1\",\n \"addressType\": \"APO\",\n \"shippingMethodId\": \"5349b4ddd2781d08c09890f4\",\n \"region\": \"CA\",\n \"deleted\": false,\n \"updatedBy\": \"User2\",\n \"configuredBy\": \"User3\",\n \"weight\": {\n \"min\": 2,\n \"max\": 3\n },\n \"cartValue\": {\n \"min\": 2,\n \"max\": 3\n },\n \"dimension\": {\n \"min\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n },\n \"max\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"name": "Express Delivery",
"description": "Express Delivery 2 - 5 days",
"taxCode": "tax_1",
"minimumDays": 2,
"maximumDays": 5,
"cutOffTime": 1330,
"cost": 20,
"channel": "12",
"createdBy": "User1",
"addressType": "APO",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"region": "CA",
"deleted": false,
"updatedBy": "User2",
"configuredBy": "User3",
"weight": {
"min": 2,
"max": 3
},
"cartValue": {
"min": 2,
"max": 3
},
"dimension": {
"min": {
"height": 2,
"width": 3,
"length": 4
},
"max": {
"height": 2,
"width": 3,
"length": 4
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Bad Request"
}{
"message": "ShipMethod Not Found."
}{
"message": "Internal Server Error"
}Shipping Method
Update shipping method
Updates shipping method by its Id
PATCH
/
shipping
/
{shipmethodId}
Update shipping method
curl --request PATCH \
--url https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": "Express Delivery",
"description": "Express Delivery 2 - 5 days",
"taxCode": "tax_1",
"minimumDays": 2,
"maximumDays": 5,
"cutOffTime": 1330,
"cost": 20,
"channel": "12",
"createdBy": "User1",
"addressType": "APO",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"region": "CA",
"deleted": false,
"updatedBy": "User2",
"configuredBy": "User3",
"weight": {
"min": 2,
"max": 3
},
"cartValue": {
"min": 2,
"max": 3
},
"dimension": {
"min": {
"height": 2,
"width": 3,
"length": 4
},
"max": {
"height": 2,
"width": 3,
"length": 4
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}"
payload = {
"name": "Express Delivery",
"description": "Express Delivery 2 - 5 days",
"taxCode": "tax_1",
"minimumDays": 2,
"maximumDays": 5,
"cutOffTime": 1330,
"cost": 20,
"channel": "12",
"createdBy": "User1",
"addressType": "APO",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"region": "CA",
"deleted": False,
"updatedBy": "User2",
"configuredBy": "User3",
"weight": {
"min": 2,
"max": 3
},
"cartValue": {
"min": 2,
"max": 3
},
"dimension": {
"min": {
"height": 2,
"width": 3,
"length": 4
},
"max": {
"height": 2,
"width": 3,
"length": 4
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Express Delivery',
description: 'Express Delivery 2 - 5 days',
taxCode: 'tax_1',
minimumDays: 2,
maximumDays: 5,
cutOffTime: 1330,
cost: 20,
channel: '12',
createdBy: 'User1',
addressType: 'APO',
shippingMethodId: '5349b4ddd2781d08c09890f4',
region: 'CA',
deleted: false,
updatedBy: 'User2',
configuredBy: 'User3',
weight: {min: 2, max: 3},
cartValue: {min: 2, max: 3},
dimension: {min: {height: 2, width: 3, length: 4}, max: {height: 2, width: 3, length: 4}},
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Express Delivery',
'description' => 'Express Delivery 2 - 5 days',
'taxCode' => 'tax_1',
'minimumDays' => 2,
'maximumDays' => 5,
'cutOffTime' => 1330,
'cost' => 20,
'channel' => '12',
'createdBy' => 'User1',
'addressType' => 'APO',
'shippingMethodId' => '5349b4ddd2781d08c09890f4',
'region' => 'CA',
'deleted' => false,
'updatedBy' => 'User2',
'configuredBy' => 'User3',
'weight' => [
'min' => 2,
'max' => 3
],
'cartValue' => [
'min' => 2,
'max' => 3
],
'dimension' => [
'min' => [
'height' => 2,
'width' => 3,
'length' => 4
],
'max' => [
'height' => 2,
'width' => 3,
'length' => 4
]
],
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}"
payload := strings.NewReader("{\n \"name\": \"Express Delivery\",\n \"description\": \"Express Delivery 2 - 5 days\",\n \"taxCode\": \"tax_1\",\n \"minimumDays\": 2,\n \"maximumDays\": 5,\n \"cutOffTime\": 1330,\n \"cost\": 20,\n \"channel\": \"12\",\n \"createdBy\": \"User1\",\n \"addressType\": \"APO\",\n \"shippingMethodId\": \"5349b4ddd2781d08c09890f4\",\n \"region\": \"CA\",\n \"deleted\": false,\n \"updatedBy\": \"User2\",\n \"configuredBy\": \"User3\",\n \"weight\": {\n \"min\": 2,\n \"max\": 3\n },\n \"cartValue\": {\n \"min\": 2,\n \"max\": 3\n },\n \"dimension\": {\n \"min\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n },\n \"max\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Express Delivery\",\n \"description\": \"Express Delivery 2 - 5 days\",\n \"taxCode\": \"tax_1\",\n \"minimumDays\": 2,\n \"maximumDays\": 5,\n \"cutOffTime\": 1330,\n \"cost\": 20,\n \"channel\": \"12\",\n \"createdBy\": \"User1\",\n \"addressType\": \"APO\",\n \"shippingMethodId\": \"5349b4ddd2781d08c09890f4\",\n \"region\": \"CA\",\n \"deleted\": false,\n \"updatedBy\": \"User2\",\n \"configuredBy\": \"User3\",\n \"weight\": {\n \"min\": 2,\n \"max\": 3\n },\n \"cartValue\": {\n \"min\": 2,\n \"max\": 3\n },\n \"dimension\": {\n \"min\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n },\n \"max\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/shipping/{shipmethodId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Express Delivery\",\n \"description\": \"Express Delivery 2 - 5 days\",\n \"taxCode\": \"tax_1\",\n \"minimumDays\": 2,\n \"maximumDays\": 5,\n \"cutOffTime\": 1330,\n \"cost\": 20,\n \"channel\": \"12\",\n \"createdBy\": \"User1\",\n \"addressType\": \"APO\",\n \"shippingMethodId\": \"5349b4ddd2781d08c09890f4\",\n \"region\": \"CA\",\n \"deleted\": false,\n \"updatedBy\": \"User2\",\n \"configuredBy\": \"User3\",\n \"weight\": {\n \"min\": 2,\n \"max\": 3\n },\n \"cartValue\": {\n \"min\": 2,\n \"max\": 3\n },\n \"dimension\": {\n \"min\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n },\n \"max\": {\n \"height\": 2,\n \"width\": 3,\n \"length\": 4\n }\n },\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"name": "Express Delivery",
"description": "Express Delivery 2 - 5 days",
"taxCode": "tax_1",
"minimumDays": 2,
"maximumDays": 5,
"cutOffTime": 1330,
"cost": 20,
"channel": "12",
"createdBy": "User1",
"addressType": "APO",
"shippingMethodId": "5349b4ddd2781d08c09890f4",
"region": "CA",
"deleted": false,
"updatedBy": "User2",
"configuredBy": "User3",
"weight": {
"min": 2,
"max": 3
},
"cartValue": {
"min": 2,
"max": 3
},
"dimension": {
"min": {
"height": 2,
"width": 3,
"length": 4
},
"max": {
"height": 2,
"width": 3,
"length": 4
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Bad Request"
}{
"message": "ShipMethod Not Found."
}{
"message": "Internal Server Error"
}Authorizations
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Details of shipping method
Response
OK
Details of shipping method
Was this page helpful?
